package com.sooka.sponest.event.emergency.inspectionrecord.domain;

import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class CentereventTEmergencyInspectionrecordBdody {
    /**
     * 主键ID
     */
    private String id;

    /**
     * 数据所属部门(政或党的id)
     */
    @Excel(name = "数据所属部门(政或党的id)")
    private Long dataDeptId;

    /**
     * 数据状态(1-可用 2-不可用 ) - 字典
     */
    @Excel(name = "数据状态(1-可用 2-不可用 ) - 字典")
    private String dataStatus;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String itemName;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String itemRemark;

    /**
     * 所属类型
     */
    @Excel(name = "所属类型")
    private String imspectiontypeId;

    /**
     * 所属类型名称
     */
    @Excel(name = "所属类型名称")
    private String imspectiontypeName;
    /**
     * 所属一级标题名称
     */
    private String imspectiontypefirstName;
    /**
     * 企业姓名
     */
    private String enterpriseName;
    /**
     * 企业id
     */
    private String enterpriseId;

    private List<AttachBean> attachs = new ArrayList<>();
    /**
     * 备注
     */
    private String Content;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 用户id
     */
    private String UserId;

    private  boolean inspectionitemCheck;

}
