package com.sooka.sponest.event.emergency.patroloverdue.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 巡更逾期对象 centerevent_t_emergency_patroloverdue
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public class CentereventTEmergencyPatroloverdue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 删除人 */
    @Excel(name = "删除人")
    private String deleteBy;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deleteTime;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String dataStatus;

    /** 巡更点id */
    @Excel(name = "巡更点id")
    private String patrolpointId;

    /** 巡更点名称 */
    @Excel(name = "巡更点名称")
    private String patrolpointName;

    /** 巡更时间开始 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "巡更时间开始", width = 30, dateFormat = "yyyy-MM-dd")
    private Date patrolpointBegin;

    /** 巡更时间结束 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "巡更时间结束", width = 30, dateFormat = "yyyy-MM-dd")
    private Date patrolpointEnd;

    /** 超期时间(天) */
    @Excel(name = "超期时间(天)")
    private Long overdueDay;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long owndeptid;

    /** 数据所属部门(政或党的id) */
    @Excel(name = "数据所属部门(政或党的id)")
    private Long deptId;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setDeleteBy(String deleteBy)
    {
        this.deleteBy = deleteBy;
    }

    public String getDeleteBy()
    {
        return deleteBy;
    }
    public void setDeleteTime(Date deleteTime)
    {
        this.deleteTime = deleteTime;
    }

    public Date getDeleteTime()
    {
        return deleteTime;
    }
    public void setDataStatus(String dataStatus)
    {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus()
    {
        return dataStatus;
    }
    public void setPatrolpointId(String patrolpointId)
    {
        this.patrolpointId = patrolpointId;
    }

    public String getPatrolpointId()
    {
        return patrolpointId;
    }
    public void setPatrolpointName(String patrolpointName)
    {
        this.patrolpointName = patrolpointName;
    }

    public String getPatrolpointName()
    {
        return patrolpointName;
    }
    public void setPatrolpointBegin(Date patrolpointBegin)
    {
        this.patrolpointBegin = patrolpointBegin;
    }

    public Date getPatrolpointBegin()
    {
        return patrolpointBegin;
    }
    public void setPatrolpointEnd(Date patrolpointEnd)
    {
        this.patrolpointEnd = patrolpointEnd;
    }

    public Date getPatrolpointEnd()
    {
        return patrolpointEnd;
    }
    public void setOverdueDay(Long overdueDay)
    {
        this.overdueDay = overdueDay;
    }

    public Long getOverdueDay()
    {
        return overdueDay;
    }
    public void setOwndeptid(Long owndeptid)
    {
        this.owndeptid = owndeptid;
    }

    public Long getOwndeptid()
    {
        return owndeptid;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deleteBy", getDeleteBy())
            .append("deleteTime", getDeleteTime())
            .append("dataStatus", getDataStatus())
            .append("patrolpointId", getPatrolpointId())
            .append("patrolpointName", getPatrolpointName())
            .append("patrolpointBegin", getPatrolpointBegin())
            .append("patrolpointEnd", getPatrolpointEnd())
            .append("overdueDay", getOverdueDay())
            .append("owndeptid", getOwndeptid())
            .append("deptId", getDeptId())
            .toString();
    }
}
