package com.sooka.sponest.event.emergency.patroloverdue.mapper;

import com.sooka.sponest.event.emergency.patroloverdue.domain.CentereventTEmergencyPatroloverdue;

import java.util.List;

/**
 * 巡更逾期Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public interface CentereventTEmergencyPatroloverdueMapper
{
    /**
     * 查询巡更逾期
     *
     * @param id 巡更逾期主键
     * @return 巡更逾期
     */
    public CentereventTEmergencyPatroloverdue selectCentereventTEmergencyPatroloverdueById(String id);

    /**
     * 查询巡更逾期列表
     *
     * @param centereventTEmergencyPatroloverdue 巡更逾期
     * @return 巡更逾期集合
     */
    public List<CentereventTEmergencyPatroloverdue> selectCentereventTEmergencyPatroloverdueList(CentereventTEmergencyPatroloverdue centereventTEmergencyPatroloverdue);

    /**
     * 新增巡更逾期
     *
     * @param centereventTEmergencyPatroloverdue 巡更逾期
     * @return 结果
     */
    public int insertCentereventTEmergencyPatroloverdue(CentereventTEmergencyPatroloverdue centereventTEmergencyPatroloverdue);

    /**
     * 修改巡更逾期
     *
     * @param centereventTEmergencyPatroloverdue 巡更逾期
     * @return 结果
     */
    public int updateCentereventTEmergencyPatroloverdue(CentereventTEmergencyPatroloverdue centereventTEmergencyPatroloverdue);

    /**
     * 删除巡更逾期
     *
     * @param id 巡更逾期主键
     * @return 结果
     */
    public int deleteCentereventTEmergencyPatroloverdueById(String id);

    /**
     * 批量删除巡更逾期
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCentereventTEmergencyPatroloverdueByIds(String[] ids);
}
