package com.sooka.sponest.event.emergency.patrolrecord.service;

import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.event.emergency.patrolrecord.domain.CentereventTEmergencyPatrolrecord;

import java.util.List;

/**
 * 巡更记录Service接口
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public interface ICentereventTEmergencyPatrolrecordService
{
    /**
     * 查询巡更记录
     *
     * @param id 巡更记录主键
     * @return 巡更记录
     */
    public CentereventTEmergencyPatrolrecord selectCentereventTEmergencyPatrolrecordById(String id);

    /**
     * 查询巡更记录列表
     *
     * @param centereventTEmergencyPatrolrecord 巡更记录
     * @return 巡更记录集合
     */
    public List<CentereventTEmergencyPatrolrecord> selectCentereventTEmergencyPatrolrecordList(CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord);

    /**
     * 新增巡更记录
     *
     * @param centereventTEmergencyPatrolrecord 巡更记录
     * @return 结果
     */
    public int insertCentereventTEmergencyPatrolrecord(CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord);

    /**
     * 修改巡更记录
     *
     * @param centereventTEmergencyPatrolrecord 巡更记录
     * @return 结果
     */
    public int updateCentereventTEmergencyPatrolrecord(CentereventTEmergencyPatrolrecord centereventTEmergencyPatrolrecord);

    /**
     * 批量删除巡更记录
     *
     * @param ids 需要删除的巡更记录主键集合
     * @return 结果
     */
    public int deleteCentereventTEmergencyPatrolrecordByIds(String[] ids);

    /**
     * 删除巡更记录信息
     *
     * @param id 巡更记录主键
     * @return 结果
     */
    public int deleteCentereventTEmergencyPatrolrecordById(String id);


    AjaxResult findItudeByUserId(String userId);
    AjaxResult findItudeByUserIdAndTime(String userId,String time);
}
