package com.sooka.sponest.event.urge.service.impl;


import com.ruoyi.common.core.utils.StringUtils;
import com.sooka.sponest.event.centereventteventcatalogue.domain.CentereventTDownloads;
import com.sooka.sponest.event.centereventteventcatalogue.service.ICentereventTDownloadsService;
import com.sooka.sponest.event.urge.service.EventDownService;
import org.apache.commons.collections4.MapUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.stereotype.Service;

import java.util.Map;
import java.util.Observable;

/**
 * @Auther: mjq
 * @Date: 2023/9/13 - 09 - 13 - 14:06
 * @Description: com.sooka.sponest.event.urge.service.impl
 * @version: 1.0
 */
@Service
@EnableAsync
public class EventDownServiceImpl implements EventDownService {

    private final Logger logger = LoggerFactory.getLogger(EventDownServiceImpl.class);

    @Autowired
    private ICentereventTDownloadsService centereventTDownloadsService;

    @Override
    public void toVoidDownLoad(Map<String, Object> maps) {
        try {
            Thread.sleep(300000);
        } catch (Exception e) {
            logger.info("Exception!", e);
        }
        // 视频下载日志表 视频下载成功  定时任务结束回调，检验是否真的成功
        CentereventTDownloads down = centereventTDownloadsService.validDownloadIsOne(MapUtils.getString(maps, "LogId"));
        if (StringUtils.isNotEmpty(down.getAttachPath())) {
            down.setFlag("1");
            down.setPath(down.getAttachPath());
        } else {
            down.setFlag("0");
            down.setReason("视频在下载过程中失败!");
        }
        centereventTDownloadsService.updateCentereventTDownloads(down);
    }

    @Override
    public void update(Observable o, Object arg) {
        throw new UnsupportedOperationException();
    }
}
