package com.sooka.sponest.event.centereventteventcatalogue.domain.haikang;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

@Data
public class AlarmVo {

    private String cameraId;

    private String cameraName;

    private String cameraType;

    private String confirmStatus;

    private String dataClass;

    private String direction;

    private String distance;

    private String eventName;

    private String eventType;

    private String height;

    private String horizontalAngle;

    private String id;

    private String latitude;

    private String longitude;

    private String originPanpos;

    private String originTiltpos;

    private String picUrls;

    private String pitchAngel;

    private String placeCode;

    private String placeName;

    private String remark1;

    private String remark5;

    private String startTime;

    private String status;

    private String towerId;

    private String towerLatitude;

    private String towerLongitude;

    private String towerName;

    private String zoom;

    @Override
    public String toString() {
        String toString = new ToStringBuilder(this, ToStringStyle.NO_CLASS_NAME_STYLE)
                .append("行政区：", getPlaceName())
                .append("瞭望塔：", getTowerName())
                .append("方向：", getDirection())
                .append("距离：", getDistance())
                .append("高程：", getHeight())
                .append("经度：", getLongitude())
                .append("纬度：", getLatitude())
                .toString().replaceAll("=", "");
        return toString.substring(1, toString.length() - 1);
    }
}
