package com.sooka.sponest.event.centereventteventcatalogue.domain.haikang;

import com.sooka.sponest.monitor.api.domain.CenterdataTCamera;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

@Data
public class EventsVo {

    private DataVo data;

    private String eventId;

    private String eventType;

    private String happenTime;

    private String srcIndex;

    private String srcName;

    private String srcParentIndex;

    private String srcType;

    private String status;

    private String timeout;

    public String toString(CenterdataTCamera centerdataTCamera) {
        String toString = new ToStringBuilder(this, ToStringStyle.NO_CLASS_NAME_STYLE)
                .append("行政区：", getData().getText()[0].getOrgName())
                .append("瞭望塔：", getSrcName())
//                .append("方向：", getDirection())
//                .append("距离：", getDistance())
//                .append("高程：", getHeight())
                .append("经度：", centerdataTCamera.getLongitude())
                .append("纬度：", centerdataTCamera.getLatitude())
                .toString().replaceAll("=", "");
        return toString.substring(1, toString.length() - 1);
    }
}
