package com.sooka.sponest.event.centereventtfireinformation.service.impl;

import com.ruoyi.common.core.utils.uuid.IdUtils;
import com.sooka.sponest.event.centereventtfireinformation.domain.FireInformation;
import com.sooka.sponest.event.centereventtfireinformation.mapper.CentereventTFireInformationMapper;
import com.sooka.sponest.event.centereventtfireinformation.service.ICentereventTFireInformationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 事件目录Mapper接口
 *
 * @author ruoyi
 * @date 2022-08-27
 */
@Service
public class CentereventTFireInformationServiceImpl implements ICentereventTFireInformationService {

    @Autowired
    private CentereventTFireInformationMapper centereventTFireInformationMapper;

    // 新增火险报告（火场资料）
    @Override
    public int addFireInformation(FireInformation fireInformation) {
        fireInformation.setId(IdUtils.simpleUUID());
        return centereventTFireInformationMapper.addFireInformation(fireInformation);
    }
}
