package com.sooka.sponest.event.emergency.inspectionrecord.mapper;

import com.sooka.sponest.event.emergency.inspectionrecord.domain.CentereventTEmergencyInspectionrecord;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.CentereventTEmergencyInspectionrecordBdody;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.EmergencyInspectionrecordSelectBody;

import java.util.List;

/**
 * 巡检记录Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public interface CentereventTEmergencyInspectionrecordMapper
{
    /**
     * 查询巡检记录
     *
     * @param id 巡检记录主键
     * @return 巡检记录
     */
    public CentereventTEmergencyInspectionrecord selectCentereventTEmergencyInspectionrecordById(String id);

    /**
     * 查询巡检记录列表
     *
     * @param centereventTEmergencyInspectionrecord 巡检记录
     * @return 巡检记录集合
     */
    public List<CentereventTEmergencyInspectionrecord> selectCentereventTEmergencyInspectionrecordList(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord);

    /**
     * 新增巡检记录
     *
     * @param centereventTEmergencyInspectionrecord 巡检记录
     * @return 结果
     */
    public int insertCentereventTEmergencyInspectionrecord(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord);

    /**
     * 修改巡检记录
     *
     * @param centereventTEmergencyInspectionrecord 巡检记录
     * @return 结果
     */
    public int updateCentereventTEmergencyInspectionrecord(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord);

    /**
     * 删除巡检记录
     *
     * @param id 巡检记录主键
     * @return 结果
     */
    public int deleteCentereventTEmergencyInspectionrecordById(String id);

    /**
     * 批量删除巡检记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCentereventTEmergencyInspectionrecordByIds(String[] ids);


     public List<CentereventTEmergencyInspectionrecordBdody>  selectCentereventTEmergencyInspectionrecordMessageList(EmergencyInspectionrecordSelectBody emergencyInspectionrecordSelectBody);


    public List  selectEmergencyList(EmergencyInspectionrecordSelectBody emergencyInspectionrecordSelectBody);
}
