package com.sooka.sponest.event.emergency.inspectionrecord.service;

import com.sooka.sponest.event.emergency.inspectionrecord.domain.CentereventTEmergencyInspectionrecord;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.CentereventTEmergencyInspectionrecordBdody;
import com.sooka.sponest.event.emergency.inspectionrecord.domain.EmergencyInspectionrecordSelectBody;

import java.util.List;

/**
 * 巡检记录Service接口
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public interface ICentereventTEmergencyInspectionrecordService
{
    /**
     * 查询巡检记录
     *
     * @param id 巡检记录主键
     * @return 巡检记录
     */
    public CentereventTEmergencyInspectionrecord selectCentereventTEmergencyInspectionrecordById(String id);

    /**
     * 查询巡检记录列表
     *
     * @param centereventTEmergencyInspectionrecord 巡检记录
     * @return 巡检记录集合
     */
    public List<CentereventTEmergencyInspectionrecord> selectCentereventTEmergencyInspectionrecordList(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord);

    /**
     * 新增巡检记录
     *
     * @param centereventTEmergencyInspectionrecord 巡检记录
     * @return 结果
     */
    public int insertCentereventTEmergencyInspectionrecord(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord);

    /**
     * 修改巡检记录
     *
     * @param centereventTEmergencyInspectionrecord 巡检记录
     * @return 结果
     */
    public int updateCentereventTEmergencyInspectionrecord(CentereventTEmergencyInspectionrecord centereventTEmergencyInspectionrecord);

    /**
     * 批量删除巡检记录
     *
     * @param ids 需要删除的巡检记录主键集合
     * @return 结果
     */
    public int deleteCentereventTEmergencyInspectionrecordByIds(String[] ids);

    /**
     * 删除巡检记录信息
     *
     * @param id 巡检记录主键
     * @return 结果
     */
    public int deleteCentereventTEmergencyInspectionrecordById(String id);

    public CentereventTEmergencyInspectionrecord insertCentereventTEmergencyInspectionrecordMessage(List<CentereventTEmergencyInspectionrecordBdody> centereventTEmergencyInspectionrecordBdodyList);
    public List<CentereventTEmergencyInspectionrecordBdody> selectCentereventTEmergencyInspectionrecordMessageList(String id);
    public List<CentereventTEmergencyInspectionrecordBdody> selectCentereventTEmergencyInspectionrecordMessageList2(EmergencyInspectionrecordSelectBody emergencyInspectionrecordSelectBody);

    /**
     * 获取部门应急工作情况
     * @param emergencyInspectionrecordSelectBody
     * @return
     */
    public List  selectEmergencyList(EmergencyInspectionrecordSelectBody emergencyInspectionrecordSelectBody);
}
