package com.sooka.sponest.event.emergency.inspectionrecorddetail.mapper;

import com.sooka.sponest.event.emergency.inspectionrecorddetail.domain.CentereventTEmergencyInspectionrecorddetail;
import com.sooka.sponest.event.emergency.inspectionrecorddetail.domain.CentereventTEmergencyInspectionrecorddetailBody;

import java.util.List;

/**
 * 巡检记录明细Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-20
 */
public interface CentereventTEmergencyInspectionrecorddetailMapper
{
    /**
     * 查询巡检记录明细
     *
     * @param id 巡检记录明细主键
     * @return 巡检记录明细
     */
    public CentereventTEmergencyInspectionrecorddetail selectCentereventTEmergencyInspectionrecorddetailById(String id);

    /**
     * 查询巡检记录明细列表
     *
     * @param centereventTEmergencyInspectionrecorddetail 巡检记录明细
     * @return 巡检记录明细集合
     */
    public List<CentereventTEmergencyInspectionrecorddetail> selectCentereventTEmergencyInspectionrecorddetailList(CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail);

    /**
     * 新增巡检记录明细
     *
     * @param centereventTEmergencyInspectionrecorddetail 巡检记录明细
     * @return 结果
     */
    public int insertCentereventTEmergencyInspectionrecorddetail(CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail);

    /**
     * 修改巡检记录明细
     *
     * @param centereventTEmergencyInspectionrecorddetail 巡检记录明细
     * @return 结果
     */
    public int updateCentereventTEmergencyInspectionrecorddetail(CentereventTEmergencyInspectionrecorddetail centereventTEmergencyInspectionrecorddetail);

    /**
     * 删除巡检记录明细
     *
     * @param id 巡检记录明细主键
     * @return 结果
     */
    public int deleteCentereventTEmergencyInspectionrecorddetailById(String id);

    /**
     * 批量删除巡检记录明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCentereventTEmergencyInspectionrecorddetailByIds(String[] ids);

    /**
     * 获取通不通过情况
     * @return
     */
    public List selectAdoptionList(CentereventTEmergencyInspectionrecorddetailBody centereventTEmergencyInspectionrecorddetailBody);

    /**
     * 获取高发不合格项
     * @param centereventTEmergencyInspectionrecorddetailBody
     * @return
     */
    public List selectHightAdoptionList(CentereventTEmergencyInspectionrecorddetailBody centereventTEmergencyInspectionrecorddetailBody);
}
