package com.sooka.sponest.event.urge.domain;

import com.sooka.sponest.event.urge.service.EventDownService;
import lombok.Data;
import org.springframework.context.ApplicationEvent;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;
import java.util.Observable;

/**
 * @Auther: mjq
 * @Date: 2023/9/13 - 09 - 13 - 14:11
 * @Description: com.sooka.sponest.event.urge.domain
 * @version: 1.0
 */
@Data
@Component
public class EventDown extends ApplicationEvent {

    public EventDown() {
        super(new EventDownService() {
            @Override
            public void update(Observable o, Object arg) {
                throw new UnsupportedOperationException();
            }

            @Override
            public void toVoidDownLoad(Map<String, Object> map) {
                throw new UnsupportedOperationException();
            }
        });
    }

    private EventDownService eventDownService;
    private Map<String, Object> map = new HashMap();

    public EventDown(EventDownService source, Map<String, Object> maps) {
        super(source);
        this.eventDownService = source;
        this.map = maps;
    }
}
